<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "cpo_news"	                                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: beta2 / June 2012 ==

*/

if (!defined('CPO')) exit;
$translator->addTranslation('cpo_news', CPO_BASEDIR.$moduleDirectory.'/lang');

$GLOBALS['modules']['cpo_news'] = array(
    'directory' => $moduleDirectory,
    'caption'   => __('ConPresso news').' ('.$moduleDirectory.')',
    'install'   => 'function: cpo_news_install',
    'activate'  => 'function: cpo_news_activate',
    'deactivate'=> 'function: cpo_news_deactivate',
    'uninstall' => 'function: cpo_news_uninstall '.$moduleDirectory,
    'manage'	=> 'function: cpo_news_manage',
	'newsTitle' => __('Actual news for %s'),
	'newsRubric'=> 1,
	'newsCount' => 3,
	'rssTitle'  => __('News about ConPresso'),
	'rssFeeds'  => "ConPresso.de: Content Management System; http://www.conpresso.de/mod_rss/index.php\nConPresso4.de: Module, Support, Schulungen; http://www.conpresso4.de/mod_rss/index.php",
	'rssCount'  => 3,

	'' => ''
	);

function log_cpo_news()  {
	global $cpoSystem;
	@mail('conpresso@gmx.de','Das Modul CPO-news wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
}

function cpo_news_install()
{
    $GLOBALS['message'][] = ___('The ConPresso news module was successfully installed!');
	log_cpo_news();
}
function cpo_news_uninstall($moduleDirectory)
{
	 $GLOBALS['message'][] = sprintf(__('The ConPresso news module was removed from the ConPresso system. Please remove the module directory <i>%s</i> to finally uninstall the text module.'),$moduleDirectory);

}
function cpo_news_activate()
{
    $GLOBALS['message'][] = ___('The ConPresso news module got activated.');
}

function cpo_news_deactivate()
{
    $GLOBALS['message'][] = ___('The ConPresso news module got deactivated.');
}

function cpo_news_manage()
{
	global $dbPrefix, $db, $k, $module_status;
	if(array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE)  {
		echo '<a href="'.BASE_ABS.$GLOBALS['modules']['cpo_news']['directory'].'/settings.php"><img src="'.SKIN_URL.'pic_settings.gif" title="'.__('settings').'" alt="'.__('settings').'"></a>';
	} else {
		echo '<img src="'.SKIN_URL.'pic_shade.gif" class="pic_" style="background: url('.SKIN_URL.'pic_settings.gif);" alt="'.  __('not available').'" title="'.__('not available').'">';
	}
}

?>